Update Jira Integration
curl --request PUT \
--url https://use.hoop.dev/api/integrations/jira \
--header 'Content-Type: application/json' \
--data '
{
"api_token": "<string>",
"url": "<string>",
"user": "<string>",
"created_at": "<string>",
"id": "<string>",
"org_id": "<string>",
"updated_at": "<string>"
}
'import requests
url = "https://use.hoop.dev/api/integrations/jira"
payload = {
"api_token": "<string>",
"url": "<string>",
"user": "<string>",
"created_at": "<string>",
"id": "<string>",
"org_id": "<string>",
"updated_at": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
api_token: '<string>',
url: '<string>',
user: '<string>',
created_at: '<string>',
id: '<string>',
org_id: '<string>',
updated_at: '<string>'
})
};
fetch('https://use.hoop.dev/api/integrations/jira', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"api_token": "<string>",
"url": "<string>",
"user": "<string>",
"created_at": "<string>",
"id": "<string>",
"org_id": "<string>",
"updated_at": "<string>"
}{
"message": "the error description"
}{
"message": "the error description"
}{
"message": "the error description"
}Jira
Update Jira Integration
Update the Jira integration for the organization
PUT
/
integrations
/
jira
Update Jira Integration
Body
application/json
The request body resource
The API token for Jira authentication
The URL of the Jira instance
The username for Jira authentication
The creation date and time of the integration
The unique identifier of the integration
The organization identifier
Report if the integration is enabled or disabled
Available options:
enabled, disabled The last update date and time of the integration
Response
OK
The API token for Jira authentication
The URL of the Jira instance
The username for Jira authentication
The creation date and time of the integration
The unique identifier of the integration
The organization identifier
Report if the integration is enabled or disabled
Available options:
enabled, disabled The last update date and time of the integration
Was this page helpful?
⌘I